diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
index 9b1a227b6..3c2cf2ffd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
@@ -185,6 +185,12 @@ def get_sql(conn, **kwargs):
 
         old_data = trigger_definition(old_data)
 
+        if 'lanname' in old_data and old_data['lanname'] == 'edbspl':
+            data['lanname'] = old_data['lanname']
+        if ('tfunction' in old_data and
+                old_data['tfunction'] == 'Inline EDB-SPL'):
+            data['tfunction'] = old_data['tfunction']
+
         sql = render_template(
             "/".join([template_path, 'update.sql']),
             data=data, o_data=old_data, conn=conn
diff --git a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
index 2c8534553..2fb335047 100644
--- a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
+++ b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
@@ -80,6 +80,8 @@ $color-editor-bracket: #d6aaaa;
 $color-editor-operator: #d6aaaa;
 $color-editor-foldmarker: #0000FF !default;
 $color-editor-activeline: #323e43 !default;
+$color-editor-activeline-light: $color-editor-activeline;
+$color-editor-activeline-border-color: none;
 
 $explain-sev-2-bg: #ded17e;
 $explain-sev-3-bg: #824d18;
diff --git a/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
index cd6462df4..2f6c1f9d5 100644
--- a/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
+++ b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
@@ -97,6 +97,8 @@ $color-editor-bracket: #D6AAAA;
 $color-editor-operator: $color-fg;
 $color-editor-foldmarker: #FFFFFF;
 $color-editor-activeline: #063057;
+$color-editor-activeline-light: $color-editor-activeline;
+$color-editor-activeline-border-color: none;
 
 $active-color: $color-fg;
 $active-border: 3px solid $color-primary;
